## pyshacl 0.30.1

=== Makefile ===
.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

.PHONY: venvcheck ## Check if venv is active
venvcheck:
ifeq ("$(VIRTUAL_ENV)","")
	@echo "Venv is not activated!"
	@echo "Activate venv first."
	@echo
	exit 1
endif

.PHONY: env
env: venvcheck  ## Double check environment variables
	env

.PHONY: install
install: venvcheck  ## Install the dependencies, but not dev-dependencies
	poetry install --no-dev

.PHONY: dev
dev: venvcheck  ## Install dependencies and dev-dependencies, but not this project itself
	poetry install --no-root --extras "js dev-lint dev-type-checking dev-coverage"

.PHONY: test
test: venvcheck		## Run the TOX tests in a TOX environment
	poetry run tox

.PHONY: dev-test
dev-test: venvcheck		## Run the tests in dev environment
	poetry run pytest --cov=pyshacl test/
	poetry run pytest test/issues/


.PHONY: format
format: venvcheck	## Run Ruff and isort Formatters
ifeq ("$(FilePath)", "")
	poetry run ruff check --select I --fix ./pyshacl #isort fix
	poetry run ruff format --no-preview --target-version py39 pyshacl
else
	poetry run ruff check --select I --fix "$(FilePath)" #isort fix
	poetry run ruff format --no-preview --target-version py39 "$(FilePath)"
endif

.PHONY: lint
lint: venvcheck	## Validate with Ruff and isort in check-only mode
ifeq ("$(FilePath)", "")
	poetry run ruff check ./pyshacl  #flake8
	poetry run ruff check --select I ./pyshacl  #isort
	poetry run ruff format --check --no-preview --target-version py39 pyshacl
else
	poetry run ruff check ./"$(FilePath)"  #flake8
	poetry run ruff check --select I ./"$(FilePath)" #isort
	poetry run ruff format --check --no-preview --target-version py39 "$(FilePath)"
endif

.PHONY: type-check
type-check: venvcheck	## Validate with MyPy in check-only mode
ifeq ("$(FilePath)", "")
	poetry run python3 -m mypy --python-version 3.9 --ignore-missing-imports pyshacl
else
	poetry run python3 -m mypy --python-version 3.9 --ignore-missing-imports "$(FilePath)"
endif

.PHONY: upgrade
upgrade: venvcheck	## Upgrade the dependencies
	poetry update

.PHONY: downgrade
downgrade: venvcheck ## Downgrade the dependencies
	git checkout pyproject.toml && git checkout poetry.lock
	poetry install --no-root --extras "js dev-lint dev-type-checking dev-coverage"

.PHONY: publish
publish: venvcheck	## Build and publish to PYPI
	poetry build
	poetry publish

=== debian/changelog ===
pyshacl (0.30.1-2) unstable; urgency=medium

  * Remove article from description
  * Add d/gbp.conf

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 17 Nov 2025 16:46:22 +0100

pyshacl (0.30.1-1) unstable; urgency=medium

  * Initial release. (Closes: #919441)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 13 Sep 2025 23:50:09 -0300

=== debian/control ===
Source: pyshacl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiagorr@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-owlrl,
 python3-packaging,
 python3-poetry-core,
 python3-prettytable,
 python3-pytest,
 python3-rdflib,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/RDFLib/pySHACL
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyshacl
Vcs-Git: https://salsa.debian.org/python-team/packages/pyshacl.git

Package: python3-pyshacl
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: SHACL validator (Python 3)
 This is a pure Python module which allows for the validation of RDF graphs
 against Shapes Constraint Language (SHACL) graphs. This module uses the rdflib
 Python library for working with RDF and is dependent on the OWL-RL Python
 module for OWL2 RL Profile based expansion of data graphs.
 .
 This module is developed to adhere to the SHACL Recommendation:
 https://www.w3.org/TR/shacl/
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyshacl

# See github issues https://github.com/RDFLib/pySHACL/issues/290
# to #295

export PYBUILD_TEST_ARGS=\
--ignore=test/test_js/conftest.py \
--ignore=test/test_js/test_js_constraint.py \
--ignore=test/issues/test_154.py \
--ignore=test/test_js/test_js_constraint_component.py \
--ignore=test/test_js/test_js_constraint_path_component.py \
--ignore=test/test_js/test_js_function.py \
--ignore=test/test_js/test_js_rules.py \
--ignore=test/test_js/test_js_target.py \
--ignore=test/test_js/test_js_target_type.py

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# work-around package-contains-ancient-file
	touch CHANGELOG.md
